"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Inputs = void 0;
var react_1 = __importDefault(require("react"));
var ui_1 = require("@/components/ui");
var ui_2 = require("@/components/ui");
var title_1 = require("./title");
var select_1 = __importDefault(require("@/library/select"));
var options = [
    { value: 'chocolate', label: 'Chocolate' },
    { value: 'strawberry', label: 'Strawberry' },
    { value: 'vanilla', label: 'Vanilla' },
];
var Inputs = function () {
    var _a = react_1.default.useState(), value = _a[0], setValue = _a[1];
    return (<>
      <title_1.Title text="Form"/>
      <ui_1.View>
        {/* <Input label="Default" placeholder="Lorem ipsum dolor sit amet" /> */}
        {/* <Input label="Error" error="This is a message error" /> */}
        {/* <Input label="Focused" /> */}
        {/* <Select
          label="테스트"
          options={options}
          value={value}
          onSelect={(option) => {
            console.log('option', option);
            setValue(option);
          }}
        /> */}

        <select_1.default label="테스트" options={options} value={value} onSelect={function (option) {
            console.log('option', option);
            setValue(option);
        }}/>

        {/* <CheckboxExample /> */}
        {/* <RadioExample /> */}
        {/* <SwitchExample /> */}
      </ui_1.View>
    </>);
};
exports.Inputs = Inputs;
var CheckboxExample = function () {
    var _a = react_1.default.useState(false), checked = _a[0], setChecked = _a[1];
    return (<ui_2.Checkbox.Root checked={checked} onChange={setChecked} accessibilityLabel="accept terms of condition" className="pb-2">
      <ui_2.Checkbox.Icon checked={checked}/>
      <ui_2.Checkbox.Label text="checkbox"/>
    </ui_2.Checkbox.Root>);
};
var RadioExample = function () {
    var _a = react_1.default.useState(false), selected = _a[0], setSelected = _a[1];
    return (<ui_2.Radio.Root checked={selected} onChange={setSelected} accessibilityLabel="radio button" className="pb-2">
      <ui_2.Radio.Icon checked={selected}/>
      <ui_2.Radio.Label text="radio button"/>
    </ui_2.Radio.Root>);
};
var SwitchExample = function () {
    var _a = react_1.default.useState(false), active = _a[0], setActive = _a[1];
    return (<ui_2.Switch.Root checked={active} onChange={setActive} accessibilityLabel="switch" className="pb-2">
      <ui_2.Switch.Icon checked={active}/>
      <ui_2.Switch.Label text="switch"/>
    </ui_2.Switch.Root>);
};
//# sourceMappingURL=inputs.js.map