import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Circle } from 'react-native-svg';

export const SmallDotIcon = (props: SvgProps) => {
  return (
    <Svg
      width={4}
      height={4}
      viewBox="0 0 4 4"
      fill="none"
      {...props}
    >
      <Circle cx={2} cy={2} r={2} fill="#10B981" />
    </Svg>
  )
}