"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var text_1 = __importDefault(require("./text"));
var MainPageHeader = React.forwardRef(function (_a, ref) {
    var height = _a.height, componentGap = _a.componentGap, tabTitle = _a.tabTitle, activeTab = _a.activeTab, onTabChange = _a.onTabChange, funcComponent = _a.funcComponent, backgroundColor = _a.backgroundColor;
    return (<react_native_1.View className={"flex w-full flex-row items-center justify-between px-[20px] ".concat(height ? height : 'h-[48px]')} ref={ref}>
        <react_native_1.View className="flex-1 flex flex-row items-center justify-start gap-4">
          {tabTitle &&
            tabTitle.map(function (name, index) { return (<react_native_1.TouchableOpacity key={index} activeOpacity={tabTitle.length === 1 ? 1 : 0.7} onPress={function () {
                    return tabTitle.length === 1
                        ? null
                        : onTabChange
                            ? onTabChange(name)
                            : null;
                }}>
                {/* <Label
                  value={name}
                  labelClassName={`text-[24px] ${activeTab === name ? 'text-black' : 'text-gray-500'}`}
                  isLabelOnly
                /> */}
                <text_1.default face={'title'} size="xlarge" weight="extrabold" textColor={"".concat(activeTab === name ? 'black' : 'gray-500')}>
                  {name}
                </text_1.default>
              </react_native_1.TouchableOpacity>); })}
        </react_native_1.View>
        <react_native_1.View className="flex-1 flex flex-row items-center justify-end gap-4">
          {funcComponent &&
            funcComponent.map(function (comp, index) { return <react_native_1.View key={index}>{comp}</react_native_1.View>; })}
        </react_native_1.View>
      </react_native_1.View>);
});
exports.default = MainPageHeader;
//# sourceMappingURL=main-page-header.js.map