import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

export const HomeOff = ({ color = '#CCC', style, ...props }: SvgProps) => (
  <Svg width={25} height={24} viewBox="0 0 25 24" fill="none" {...props}>
    <Path
      d="M12.5 2.1L1.5 12h3v9h7v-6h2v6h7v-9h3l-11-9.9zm0 2.691l6 5.4V19h-3v-6h-6v6h-3v-8.809l6-5.4z"
      fill="#020913"
      fillOpacity={0.91}
    />
  </Svg>
);
